petsc-3.13.6 2020-09-29
Report Typos and Errors

# TAOPDIPM

Barrier-based primal-dual interior point algorithm for generally constrained optimization.

### Option Database Keys

| -tao_pdipm_push_init_lambdai | - parameter to push initial dual variables away from bounds (> 0)
| -tao_pdipm_push_init_slack | - parameter to push initial slack variables away from bounds (> 0)
| -tao_pdipm_mu_update_factor | - update scalar for barrier parameter (mu) update (> 0)

### Level

beginner

### Location

src/tao/constrained/impls/ipm/pdipm.c

### Examples

src/tao/constrained/tutorials/ex1.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages